System.Web 2.0.0.0 System.Web.UI.Control System.ComponentModel.IListSource System.Web.UI.IDataSource System.ComponentModel.Bindable(false) System.Web.UI.NonVisualControl System.Web.UI.ControlBuilder(typeof(System.Web.UI.DataSourceControlBuilder)) System.ComponentModel.Designer("System.Web.UI.Design.DataSourceDesigner, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.ComponentModel.Design.IDesigner")

ASP.NET supports a control data-binding architecture that enables Web server controls to bind to data in a consistent fashion. Web server controls that bind to data are referred to as data-bound controls, and the classes that facilitate that binding are called data source controls. Data source controls can represent any data source: a relational database, a file, a stream, a business object, and so on. Data source controls present data in a consistent way to data-bound controls, regardless of the source or format of the underlying data.

You use the data source controls that are provided with ASP.NET, including , , and , to perform most Web development tasks. You use the base class when you want to implement your own custom data source control.

While any class that implements the interface is a data source control, most ASP.NET data source controls extend the abstract class, which provides a base implementation of the interface. The class also provides an implementation of the interface, which enables you to programmatically assign the data source control to the DataSource property of a data-bound control and return data to the control as a basic list.

Any ASP.NET control that derives from the class can bind to a data source control. When a is bound to a data source control, data binding is performed automatically at run time. You can also use data source controls with ASP.NET controls that expose a DataSource or DataSourceID property and support basic data binding, but are not derived from . When using these data-bound controls, you must explicitly call the DataBind method. For more information on data binding, see Accessing Data with ASP.NET.

You can think of a data source control as the combination of the object and its associated lists of data, called data source views. Each list of data is represented by a object. Because the underlying data storage contains one or more lists of data, a is always associated with one or more named objects. The interface defines the methods that all data source controls use to interact with data source views: the method is used to enumerate the data source views currently associated with the data source control, and the method is used to retrieve a specific data source view instance by name.

You can also think of the data source control as two distinct interfaces that callers use to access data. The class is the interface that page developers interact with directly when developing a Web Forms page, and the class is the interface that data-bound controls and data-bound control authors interact with. Because the object is available only at run time, any state persisted for the data source control or data source view must be exposed directly by the data source control.

There is no visual rendering of ASP.NET data source controls; they are implemented as controls so you can create them declaratively, and to optionally allow them to participate in state management. As a result, data source controls do not support visual features such as or .

Serves as the base class for controls that represent data sources to data-bound controls.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Void `` To be added.

  Applies the style properties that are defined in the page style sheet to the control.

  The containing the control. 2.0.0.0 System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
- Property
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.String To be added. To be added.

  Gets the server control identifier generated by ASP.NET.

  2.0.0.0
- Property
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.Web.UI.ControlCollection To be added. To be added.

  Gets a object that represents the child controls for a specified server control in the UI hierarchy.

  2.0.0.0
- Method
  System.Web.UI.ControlCollection

  Because data source controls do not allow child controls, the class's default implementation does not support the embedding of child controls.

  Creates a collection to store child controls.

  Returns a .

  2.0.0.0
- Property
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.ComponentModel.Browsable(false)
  System.ComponentModel.DefaultValue(false)
  System.Boolean To be added.

  Because the control has no visual rendering, it does not support themes.

  Gets a value indicating whether this control supports themes.

  2.0.0.0
- Method
  System.Web.UI.Control `` To be added.

  Searches the current naming container for a server control with the specified parameter.

  The specified control, or null if the specified control does not exist.

  The identifier for the control to be found. 2.0.0.0 System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
- Method
  System.Void

  Because the control has no visual rendering, calling the method on it throws a exception.

  Sets input focus to the control.

  2.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
- Method
  System.Web.UI.DataSourceView ``

  You can enumerate through the set of views currently associated with the data source control by calling the method.

  Data source control classes can support one or more views on their underlying data. These views are represented by instances of the class. The data source view defines the capabilities of a data source control, does all the work necessary to retrieve data from the underlying data store, and performs operations such as sorting, inserting, deleting, and updating.

  The class's default implementation returns null. If you extend the class, override the method to return the specified object.

  Gets the named data source view associated with the data source control.

  Returns the named associated with the .

  The name of the to retrieve. In data source controls that support only one view, such as , this parameter is ignored. 2.0.0.0
- Method
  System.Collections.ICollection

  The collection of names is the allowable set of values that can be passed to the method.

  The class, which is used for the class's implementation, checks the method for both the and calls to determine whether the data source control is associated with one or more data source views. If returns null, which is the default implementation of the method, returns false and returns null.

  The class's default implementation returns null. If you extend the class, override the method to return a collection of view names.

  Gets a collection of names, representing the list of objects associated with the control.

  An that contains the names of the objects associated with the .

  2.0.0.0
- Method
  System.Boolean To be added.

  Determines if the server control contains any child controls.

  true if the control contains other controls; otherwise, false.

  2.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
- Method
  System.Void ``

  The method notifies a data-bound control that the underlying data source or the data cached in memory has changed, and that the control should rebind and perform any necessary additional work. Typically, the method is called when a property of the data source control or a parameter value has changed.

  Raising an event invokes the event handler through a delegate. For more information, see Raising an Event.

  Raises the event.

  An that contains event data. 2.0.0.0
- Method
  System.Void `` To be added. To be added.

  Outputs server control content to a provided object and stores tracing information about the control if tracing is enabled.

  2.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
- Property
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.ComponentModel.Browsable(false)
  System.ComponentModel.DefaultValue("")
  System.String To be added.

  Because the control has no visual rendering, you cannot set the property.

  Gets the skin to apply to the control.

  2.0.0.0
- Property
  2.0.0.0
  System.Boolean To be added.

  This property is used to determine whether the current object can be used as a source of one or more lists of data. Data source controls encapsulate their lists of data as objects; therefore, when associated with one or more objects, a control represents a list source object and the property returns true.

  This property calls the static method to determine whether the current data source control can be used as a source of data. The class determines whether the method returns a valid collection of view names. If it does, this property returns true. If returns null, which is the default implementation of the class, the method returns false.

  Indicates whether the data source control is associated with one or more lists of data.

- Method
  2.0.0.0
  System.Collections.IList

  This method is used to retrieve a set of objects that can be used as sources of data. Data source controls encapsulate their lists of data as objects; therefore, when associated with one or more objects, a control represents a list source object and the method returns an collection of one element, the itself.

  This method calls the static method to retrieve an collection of objects that can be used as sources of data. The class determines whether returns a valid collection of view names. If it does, the class returns an collection of one element, the control. If returns null, which is the default implementation of the class, the class also returns null.

  Gets a list of data source controls that can be used as sources of lists of data.

  An of data source controls that can be used as sources of lists of data.

- Method
  2.0.0.0
  System.Web.UI.DataSourceView ``

  The parameter is ignored when this method is called on data source controls that support only one view, such as the and controls.

  The class's default implementation, which is called by this interface method, returns null. If you extend the class, override the method to return the specified object.

  Gets the named object associated with the control. Some data source controls support only one view, while others support more than one.

  Returns the named associated with the .

  The name of the to retrieve. In data source controls that support only one view, such as , this parameter is ignored.
- Method
  2.0.0.0
  System.Collections.ICollection

  The class's default implementation, which is called by this interface method, returns null, which indicates that only one view is supported. If you extend the class, override the method to return a collection of view names. A name can be passed to the method to return a object.

  Gets a collection of names, representing the list of objects associated with the control.

  An that contains the names of the objects associated with the .

- Property
  System.ComponentModel.DefaultValue(false)
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Never)
  System.ComponentModel.Browsable(false)
  System.Boolean To be added.

  Because the control has no visual rendering, the property always returns false.

  Gets or sets a value indicating whether the control is visually displayed.

  2.0.0.0